Package io.vertx.grpc.common

## Class GrpcHeaderNames

- java.lang.Object
- - io.vertx.grpc.common.GrpcHeaderNames

-     public final class GrpcHeaderNames
      extends Object

  Header names used by gRPC.
  See Also:
    gRPC HTTP/2 requests

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AsciiString` | `GRPC_ACCEPT_ENCODING` | Header specifying which compression algorithms the client or server supports.
    `static AsciiString` | `GRPC_ENCODING` | Header indicating the compression algorithm used for the message payload.
    `static AsciiString` | `GRPC_MESSAGE` | Header containing the error message when a request fails.
    `static AsciiString` | `GRPC_MESSAGE_TYPE` | Header specifying the type of the message being transmitted.
    `static AsciiString` | `GRPC_STATUS` | Header containing the status code of a gRPC response.
    `static AsciiString` | `GRPC_STATUS_DETAILS_BIN` | Header containing additional error details when a request fails.
    `static AsciiString` | `GRPC_TIMEOUT` | Header for specifying the timeout for a gRPC call.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GrpcHeaderNames()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GRPC_TIMEOUT

          public static final AsciiString GRPC_TIMEOUT

      Header for specifying the timeout for a gRPC call. Format is an integer followed by a time unit: 'S', 'M', 'H' (seconds, minutes, hours). Example: "10S" for a 10-second timeout.

    - #### GRPC_ENCODING

          public static final AsciiString GRPC_ENCODING

      Header indicating the compression algorithm used for the message payload. Common values include "gzip", "snappy", and "identity" (no compression).

    - #### GRPC_ACCEPT_ENCODING

          public static final AsciiString GRPC_ACCEPT_ENCODING

      Header specifying which compression algorithms the client or server supports. Multiple algorithms can be specified as a comma-separated list.

    - #### GRPC_MESSAGE_TYPE

          public static final AsciiString GRPC_MESSAGE_TYPE

      Header specifying the type of the message being transmitted.

    - #### GRPC_STATUS

          public static final AsciiString GRPC_STATUS

      Header containing the status code of a gRPC response. This is used to communicate error conditions from the server to the client. Values are defined in the gRPC protocol specification.

    - #### GRPC_MESSAGE

          public static final AsciiString GRPC_MESSAGE

      Header containing the error message when a request fails. The message is percent-encoded.

    - #### GRPC_STATUS_DETAILS_BIN

          public static final AsciiString GRPC_STATUS_DETAILS_BIN

      Header containing additional error details when a request fails. The value is base64 encoded.

  - ### Constructor Detail

    - #### GrpcHeaderNames

          public GrpcHeaderNames()